#!/bin/sh
PACKAGE_DIR="/var/packages/MailClient"
MAILSERVER_BACKEND_BIN="/var/packages/MailPlus-Server/target/bin/syno_mailserver_backend"
NOTIFY_DAEMON_BIN="${PACKAGE_DIR}/target/tool/notify_daemon"
REFRESH_LDAP_DOMAIN_BIN="/var/packages/MailClient/target/tool/refresh_ldap_domain"

val=`$MAILSERVER_BACKEND_BIN --getConfKeyVal smtp_changed_uids`
while IFS=', ' read -ra UIDS; do
	for uid in "${UIDS[@]}"; do
		${NOTIFY_DAEMON_BIN} -u ${uid} -t "update_smtp"
	done
done <<< "$val"

pidof refresh_ldap_domain > /dev/null
if [ $? -ne 0 ]; then
	${REFRESH_LDAP_DOMAIN_BIN}
fi
